package com.qmth.distributed.print;

import com.qmth.distributed.print.business.util.HtmlToJpgUtil;
import com.qmth.teachcloud.common.enums.PageSizeEnum;
import com.qmth.teachcloud.common.util.ConvertUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @Description: 工具类方法测试类
 * @Author: CaoZixuan
 * @Date: 2022-04-12
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class ConvertUtilTest {
    @Resource
    HtmlToJpgUtil htmlToJpgUtil;

    @Test
    public void pdfToJpg() throws Exception {
        String sourcePath = "E:\\pdf\\题卡-Qtz题卡.pdf";
        String targetPath = "E:\\pdf\\题卡-Qtz题卡";
        ConvertUtil.pdfToImageFile(sourcePath,targetPath);
    }

    @Test
    public void htmlToJpg() throws Exception {
        Long id = 1L;
        String htmlContent = "\n" +
                "   <!DOCTYPE html>\n" +
                "     <html>\n" +
                "       <head>\n" +
                "         <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n" +
                "         <meta name=\"viewport\" content=\"width=device-width,initial-scale=1.0,\n" +
                "         maximum-scale=1.0,minimum-scale=1.0, user-scalable=no\" \"=\"\">\n" +
                "         <meta name=\" renderer\" content=\"webkit|ie-comp|ie-stand\" />\n" +
                "         <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge,chrome=1\" />\n" +
                "         <title>知学知考题卡</title>\n" +
                " \n" +
                "       </head>\n" +
                "       <style>a,body,div,footer,h1,h2,h3,h4,h5,h6,header,input,li,ol,p,span,td,th,tr,ul{margin:0;padding:0;box-sizing:border-box;-webkit-tap-highlight-color:rgba(255,255,255,0)}li{list-style:none}em,i,u{font-style:normal}button{font-family:\"Helvetica Neue\",Helvetica,\"PingFang SC\",\"Hiragino Sans GB\",\"Microsoft YaHei\",Arial,sans-serif}h1,h2,h3,h4,h5,h6{font-size:100%;font-weight:700}fieldset,img{border:0}abbr{border:0;font-variant:normal}a{text-decoration:none;color:inherit}img{vertical-align:middle}body{font-family:\"Helvetica Neue\",Helvetica,\"PingFang SC\",\"Hiragino Sans GB\",\"Microsoft YaHei\",Arial,sans-serif;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;font-size:14px;color:#545454;background:#f5f5f5;min-width:1366px}.card-preview{padding:10px 0;background-color:#f0f0f0;color:#000}.card-preview .page-box{margin:10px auto;-webkit-box-shadow:0 0 4px #ddd;box-shadow:0 0 4px #ddd}.card-print{padding:0}.card-print .page-box{margin:0 auto;-webkit-box-shadow:none;box-shadow:none;page-break-after:always}.card-print .elem-fill-question-first::before{display:none}.page-box{position:relative;background:#fff;margin:0 auto;font-weight:normal}.page-box .page-main{height:100%;position:relative;white-space:nowrap;margin:0 -10px}.page-box .page-main-2 .page-column{width:50%}.page-box .page-main-3 .page-column{width:33.33%}.page-box .page-main-4 .page-column{width:25%}.page-box-A3{width:1586px;height:1122px}.page-box-A3 .page-main-inner{padding:60px 80px 86px}.page-box-A3 .page-main-1 .page-column-forbid-area::before{width:2000px;-webkit-transform:rotate(34.326deg);transform:rotate(34.326deg)}.page-box-A3 .page-main-1 .page-column-forbid-area::after{width:2000px;-webkit-transform:rotate(-34.326deg);transform:rotate(-34.326deg)}.page-box-A3 .page-main-2 .page-column-forbid-area::before{-webkit-transform:rotate(54.216deg);transform:rotate(54.216deg)}.page-box-A3 .page-main-2 .page-column-forbid-area::after{-webkit-transform:rotate(-54.216deg);transform:rotate(-54.216deg)}.page-box-A3 .page-main-3 .page-column-forbid-area::before{-webkit-transform:rotate(64.6555deg);transform:rotate(64.6555deg)}.page-box-A3 .page-main-3 .page-column-forbid-area::after{-webkit-transform:rotate(-64.6555deg);transform:rotate(-64.6555deg)}.page-box-A3 .page-main-4 .page-column-forbid-area::before{-webkit-transform:rotate(70.3109deg);transform:rotate(70.3109deg)}.page-box-A3 .page-main-4 .page-column-forbid-area::after{-webkit-transform:rotate(-70.3109deg);transform:rotate(-70.3109deg)}.page-box-A4{width:793px;height:1122px}.page-box-A4 .page-main-inner{padding:60px 45px 86px}.page-box-A4 .page-main-1 .page-column-forbid-area::before{-webkit-transform:rotate(54.216deg);transform:rotate(54.216deg)}.page-box-A4 .page-main-1 .page-column-forbid-area::after{-webkit-transform:rotate(-54.216deg);transform:rotate(-54.216deg)}.page-box-A4 .page-main-2 .page-column-forbid-area::before{-webkit-transform:rotate(70.5109deg);transform:rotate(70.5109deg)}.page-box-A4 .page-main-2 .page-column-forbid-area::after{-webkit-transform:rotate(-70.5109deg);transform:rotate(-70.5109deg)}.page-main-inner{position:absolute;width:100%;height:100%;top:0;left:0;padding:60px 80px 86px;z-index:9;font-size:0}.page-main-outer{position:absolute;top:0;left:0;right:0;bottom:0;z-index:7;background-color:transparent;overflow:hidden}.page-column{display:inline-block;vertical-align:middle;position:relative;height:100%;width:100%;font-size:14px;padding:0 10px}.page-column-forbid-area{position:absolute;top:0;left:0;bottom:0;right:0;z-index:1;border:1px solid #333;overflow:hidden}.page-column-forbid-area::before{content:\"\";display:block;position:absolute;width:1200px;border-bottom:1px solid #acacac;top:0;left:0;-webkit-transform:rotate(54.216deg);transform:rotate(54.216deg);-webkit-transform-origin:left;transform-origin:left;z-index:1}.page-column-forbid-area::after{content:\"\";display:block;position:absolute;width:1200px;border-bottom:1px solid #acacac;bottom:0;left:0;-webkit-transform:rotate(-54.216deg);transform:rotate(-54.216deg);-webkit-transform-origin:left;transform-origin:left;z-index:1}.page-column-forbid-area>p{padding:20px;position:absolute;width:260px;height:82px;top:50%;left:50%;margin-top:-41px;margin-left:-130px;z-index:9;font-weight:bold;font-size:30px;color:#999;background-color:#fff;text-align:center}.page-column-main{position:relative;height:100%}.page-column-body{position:absolute;top:0;bottom:0;left:0;right:0;z-index:9}.page-column-element .element-item{position:relative}.page-column-element .element-item-width{width:100%!important}.page-column-element .element-item::before{content:\"\";position:absolute;width:100%;height:100%;top:0;left:0;-webkit-box-sizing:border-box;box-sizing:border-box;z-index:2;border:1px solid #333;border-top:0}.page-column-element .element-item>div{z-index:9;position:relative}.page-column-element .element-item-card-head::before{border:0}.page-column-element .element-item-topic-head::before{border:0}.page-column-element .element-item-fill-question::before,.page-column-element .element-item-fill-line::before{border-bottom:0}.page-column-element .element-item-explain::before{border-bottom-color:transparent}.page-column-element .element-item-type-last::before{border-bottom:1px solid #333}.page-column-element:last-child .element-item::before{border-bottom:1px solid #333}.page-column-element:last-child .element-item-card-head.element-item-type-pre::before{border-bottom:0}.page-locators{position:absolute;top:60px;left:80px;right:80px;bottom:86px;z-index:8}.page-locator-group{position:absolute;top:0;bottom:0;width:24px}.page-locator-group:first-child{left:0}.page-locator-group:nth-of-type(2){left:50%;margin-left:-12px}.page-locator-group:last-child{left:auto;right:96px}.page-locator-group li{position:absolute;width:24px;border-bottom:16px solid #000;z-index:99}.page-locator-group li:first-child{top:-20px}.page-locator-group li:last-child{bottom:-46px}.page-box-1 .page-locator-group:first-child{left:-30px}.page-number{position:absolute;bottom:40px}.page-number-rect{left:152px}.page-number-rect-list{font-size:0}.page-number-rect-list li{display:inline-block;vertical-align:top;font-size:14px;width:24px;height:16px;border:1px solid #000;margin-right:10px}.page-number-rect-list li.rect-li-act{height:0;border:0;border-bottom:16px solid #000}.page-number-text{right:25%}.page-number-text-cont{height:16px;line-height:16px}.elem-title{padding:10px;font-size:14px;color:black;line-height:1;white-space:normal}.elem-body{padding:10px}.grid-container{margin-left:-10px;margin-right:-10px}.grid-row{display:table;width:100%;border-spacing:10px 0;border-collapse:separate}.grid-row:nth-of-type(2){margin-top:10px}.grid-row .grid-col{display:table-cell;width:50%;vertical-align:top;border:1px solid #333}.grid-row .grid-col-dash{border-style:dashed;vertical-align:middle}.card-head-top{text-align:center;color:#000}.card-head-title{font-size:24px;font-weight:bold;overflow:hidden}.card-head-title>h1{line-height:33px;white-space:nowrap;letter-spacing:-1px}.card-head-subtitle{height:44px;font-family:\"Helvetica Neue\",Helvetica,\"PingFang SC\",\"Hiragino Sans GB\",\"Microsoft YaHei\",Arial,sans-serif;font-size:14px;overflow:hidden;white-space:normal;margin-bottom:10px}.card-head-subtitle>p{padding:0 10px;line-height:22px;white-space:pre}.card-head-body{font-weight:normal}.card-head-body .el-col{padding-top:5px;padding-bottom:5px}.card-head-body-spin{padding:5px 12px;white-space:normal;word-break:break-all}.card-head-body .stdinfo-item{height:30px;line-height:30px;position:relative;overflow:hidden}.card-head-body .stdinfo-item::after{content:\"\";display:block;position:absolute;width:100%;border-bottom:1px solid #333;bottom:6px;left:0;z-index:1}.card-head-body .stdinfo-item>span{z-index:2;display:block;position:relative;font-size:14px}.card-head-body .stdinfo-item>span:first-child{float:left;background-color:#fff;text-align:justify}.card-head-body .stdinfo-item>span:first-child::after{content:\"\";display:inline-block;width:100%;height:0;line-height:0}.card-head-body .stdinfo-item>span:nth-of-type(2){float:left;width:20px;background-color:#fff}.card-head-body .stdinfo-item>span:last-child{margin-left:80px;height:100%}.card-head-body .head-stdno{height:100%;padding:0}.card-head-body .head-stdno .stdno-empty{font-weight:bold;letter-spacing:3px;text-align:center}.card-head-body .head-stdno .stdno-fill{min-height:284px;height:100%;position:relative}.card-head-body .head-stdno .stdno-fill-rect{font-size:0;height:27px;border-bottom:1px solid #333}.card-head-body .head-stdno .stdno-fill-number{display:inline-block;vertical-align:top;width:7.692%;height:100%}.card-head-body .head-stdno .stdno-fill-number:not(:last-child){border-right:1px solid #333}.card-head-body .head-stdno .stdno-fill-head{position:absolute;width:100%;height:51px;top:0;left:0;z-index:9}.card-head-body .head-stdno .stdno-fill-head>h5{border-bottom:1px solid #333;line-height:24px;font-size:16px;font-weight:bold;text-align:center}.card-head-body .head-stdno .stdno-fill-body{position:absolute;top:0;bottom:0;padding-top:51px;display:table;width:100%}.card-head-body .head-stdno .stdno-fill-list{display:table-cell;width:7.692%;padding:1px 0}.card-head-body .head-stdno .stdno-fill-option{margin:8px auto;width:20px;height:14px;font-size:12px;line-height:1;text-align:center;color:#000;border:1px solid #000;font-family:\"Times New Roman\",Arial,sans-serif}.card-head-body .head-stdno .stdno-fill-option>i{display:inline-block;-webkit-transform:scale(0.67,0.67);transform:scale(0.67,0.67)}.card-head-body .head-stdno .stdno-auto-barcode{height:70px;text-align:center}.card-head-body .head-stdno .stdno-auto-barcode>img{display:block;height:50px;width:300px;margin:0 auto}.card-head-body .head-stdno .stdno-auto-barcode>p{line-height:20px}.card-head-body .head-notice>h4{font-weight:normal;margin-bottom:8px}.card-head-body .head-notice-cont{line-height:1.5;font-size:12px;margin-bottom:5px}.card-head-body .head-notice-cont>span{display:block}.card-head-body .head-notice-cont>span:first-child{width:20px;white-space:nowrap;float:left}.card-head-body .head-notice-cont>span:last-child{margin-left:20px}.card-head-body .head-notice-exam-number-fill span{display:inline}.card-head-body .head-notice-exam-number-fill span:first-child{float:none}.card-head-body .head-notice-exam-number-fill span:last-child{margin:0}.card-head-body .head-dynamic{padding:0;font-size:12px;border-spacing:0;border-collapse:collapse}.card-head-body .head-dynamic-part:not(:last-child){border-bottom:1px solid #000}.card-head-body .head-dynamic-write{padding:5px 12px}.card-head-body .head-dynamic-write .stdinfo-item{margin-bottom:0}.card-head-body .head-dynamic-write>p{line-height:18px}.card-head-body .head-dynamic-missfill{display:table;width:100%}.card-head-body .head-dynamic-miss{padding:10px;display:table-cell;vertical-align:middle}.card-head-body .head-dynamic-miss:nth-of-type(2){border-left:1px solid #000}.card-head-body .head-dynamic-miss span{display:block}.card-head-body .head-dynamic-miss .dynamic-miss-title{width:54px;float:left}.card-head-body .head-dynamic-miss .dynamic-miss-body{margin-left:54px;text-align:center}.card-head-body .head-dynamic-miss .head-dynamic-rect{margin:auto;vertical-align:middle}.card-head-body .head-dynamic-fill{padding:10px}.card-head-body .head-dynamic-fill p{display:inline-block;vertical-align:middle;line-height:18px;word-wrap:normal}.card-head-body .head-dynamic-fill p:first-child{margin-right:20px}.card-head-body .head-dynamic-fill p>span,.card-head-body .head-dynamic-fill p>i{display:inline-block;vertical-align:middle;-webkit-box-sizing:border-box;box-sizing:border-box}.card-head-body .head-dynamic-fill p:first-child i{width:28px;height:14px;background-color:#000}.card-head-body .head-dynamic-fill p:last-child>i{width:28px;height:14px;border:1px solid #000;font-size:14px;font-weight:bold;margin-right:6px;line-height:12px;text-align:center}.card-head-body .head-dynamic-fill p:last-child>i:last-child{margin-right:0}.card-head-body .head-dynamic-fill p:last-child>i:nth-of-type(3)::before{content:\"\";display:inline-block;vertical-align:top;margin-left:-5px;height:100%;width:5px;background-color:#000}.card-head-body .head-dynamic-fill p:last-child>i:nth-of-type(4)::before{content:\"\";display:inline-block;margin-top:1px;width:10px;height:10px;border-radius:50%;background-color:#000}.card-head-body .head-dynamic-rect{display:inline-block;width:30px;height:14px;border:1px solid #000;font-size:12px;text-align:center;line-height:1;color:#000;margin:0 5px;font-family:\"Times New Roman\",Arial,sans-serif}.card-head-body .head-dynamic-rect>i{display:inline-block;-webkit-transform:scale(0.67,0.67);transform:scale(0.67,0.67)}.card-head-body .head-dynamic-aorb{display:table;width:100%}.card-head-body .head-dynamic-aorb .dynamic-aorb-item{display:table-cell;vertical-align:middle;text-align:center}.card-head-body .head-dynamic-aorb .dynamic-aorb-item:not(:last-child){border-right:1px solid #333}.card-head-body .head-dynamic-aorb-fill .dynamic-aorb-item:first-child{border:0}.card-head-body .head-dynamic-aorb .dynamic-aorb-title{width:83px}.card-head-body .head-dynamic-aorb .dynamic-aorb-info{width:50px;font-size:16px;position:relative;overflow:hidden}.card-head-body .head-dynamic-aorb .dynamic-aorb-info .dynamic-aorb-content{position:absolute;top:50%;left:0;width:100%;-webkit-transform:translateY(-50%);transform:translateY(-50%);z-index:auto}.card-head-body .head-dynamic-aorb .dynamic-aorb-barcode img{display:block;position:relative;margin:0 auto;width:200px;height:26px;padding:7px 0}.card-head-body .head-dynamic-aorb .dynamic-aorb-rects{padding:16px 10px}.card-head-part{border:1px solid #333}.card-head-part:not(:last-child){margin-bottom:10px}.card-head-normal .head-dynamic-1 .head-dynamic-part{height:100%}.card-head-narrow .head-stdno{height:138px}.card-head-narrow .head-stdno .stdno-auto{position:relative;top:50%;margin-top:-40px}.card-head-handle.card-head-narrow .head-stdno{height:286px}.card-head-body-auto-resize{margin-left:-5px;margin-right:-5px;overflow:hidden}.card-head-body-auto-resize.col-item-auto-height .card-head-body-spin{height:auto}.card-head-body-auto-resize .head-dynamic-2 .head-dynamic-part{height:auto}.card-head-body-auto-resize .rect-col{padding:5px}.card-head-body-auto-resize .rect-col:first-child{float:left;width:289px}.card-head-body-auto-resize .rect-col:last-child{float:right;width:424px}.card-head-body-auto-resize .rect-col-item{border:1px solid #333}.card-head-body-auto-resize .rect-col-item:nth-of-type(2){margin-top:10px}.card-head-body-auto-resize .rect-col-item-none{border:0;margin:0!important}.elem-topic-head{text-align:center}.elem-topic-head .elem-body{padding:0;border:1px solid #333}.elem-topic-head-pad{padding-top:10px}.elem-topic-head h3{font-size:16px;height:29px;line-height:28px;border-bottom:1px dotted #333;font-weight:normal}.elem-topic-head p{font-size:12px;height:29px;line-height:29px;white-space:nowrap;overflow:hidden}.elem-line-horizontal{height:100%;line-height:30px}.elem-line-horizontal .line-body{display:inline-block;vertical-align:middle;width:100%;border-bottom:1px solid #000}.elem-line-vertical{height:100%;text-align:center}.elem-line-vertical .line-body{display:inline-block;vertical-align:top;height:100%;border-left:1px solid #000}.elem-lines .line-item{display:inline-block;vertical-align:top}.elem-rect .rect-body{position:absolute;width:100%;height:100%;top:0;left:0}.elem-text .text-body{padding:5px;line-height:1.4}.elem-text .text-body span{white-space:pre-wrap;word-wrap:normal;word-break:break-all}.elem-text .text-body span.cont-variate{color:#a0a0a0;margin:0 2px}.elem-barcode{height:100%;border-color:transparent;border-width:1pt;position:relative}.elem-barcode>img{max-height:100%;max-width:100%;position:absolute;top:0;bottom:0;left:0;right:0;margin:auto}.elem-image{height:100%;border-color:transparent;border-width:1pt;position:relative}.elem-image>p{position:absolute;width:100%;height:100%;top:0;left:0;display:table;text-align:center;color:#b0b0b0;font-size:30pt}.elem-image>p i{display:table-cell;vertical-align:middle}.elem-image>img{max-height:100%;max-width:100%;position:absolute;top:0;bottom:0;left:0;right:0;margin:auto}.elem-grids>table{table-layout:fixed;border-spacing:0;border-collapse:collapse}.elem-grids>table td{border:1px solid #333}.elem-grids-halving>table{table-layout:auto;width:100%}.elem-fill-question{white-space:normal}.elem-fill-question-first::before{content:\"\";position:absolute;right:0;top:0;z-index:99;color:#fff;padding:6px 10px;line-height:1;font-size:18px;border-bottom-left-radius:10px}.elem-fill-question-first.elem-fill-question-simple::before{content:\"单选\";background-color:#65d5ad}.elem-fill-question-first.elem-fill-question-multiply::before{content:\"多选\";background-color:#617bea}.elem-fill-question-first.elem-fill-question-boolean::before{content:\"判断\";background-color:#ffa952}.elem-fill-question .elem-body{padding:18px 0 18px 16px}.elem-fill-question .group-item{font-family:\"Times New Roman\",Arial,sans-serif;display:inline-block;vertical-align:top;font-size:0}.elem-fill-question .question-item{font-size:0}.elem-fill-question .option-item{display:inline-block;vertical-align:middle;padding:0;width:18px;height:14px;text-align:center;font-size:12px;line-height:1;border:1px solid #000;color:#000;-webkit-box-sizing:border-box;box-sizing:border-box}.elem-fill-question .option-item>i{display:inline-block;-webkit-transform:scale(0.67,0.67);transform:scale(0.67,0.67)}.elem-fill-question .option-item:first-child{text-align:right;border-color:transparent;font-size:12px;color:#000}.elem-fill-question .option-item:first-child>i{-webkit-transform:scale(1,1);transform:scale(1,1)}.elem-fill-question .option-item:last-child{margin-right:0!important}.elem-fill-question-vertical .question-item{display:inline-block;vertical-align:top}.elem-fill-question-vertical .question-item:last-child{margin-right:0!important}.elem-fill-question-vertical .option-item{display:block}.elem-fill-question-vertical .option-item:first-child{padding:0;text-align:center}.elem-fill-question-vertical .option-item:last-child{margin-bottom:0!important}.elem-fill-area .option-item{display:inline-block;vertical-align:middle;width:30px;height:16px;border:1px solid #000}.elem-fill-area .option-item:last-child{margin-right:0!important}.elem-fill-area-vertical .option-item{display:block}.elem-fill-area-vertical .option-item:last-child{margin-bottom:0!important}.elem-fill-line{white-space:normal}.elem-fill-line .elem-body{padding:0 15px 0 10px;font-size:0}.elem-fill-line .elem-fill-quesiton{display:inline-block;vertical-align:top;position:relative;padding:0 1px;font-size:12px}.elem-fill-line .elem-fill-quesiton li.elem-fill-line{height:40px;position:relative;margin:0 10px 0 20px;z-index:8}.elem-fill-line .elem-fill-quesiton li.elem-fill-line::after{content:\"\";display:block;position:absolute;width:100%;border-bottom:1px solid #000;bottom:8px}.elem-fill-line .elem-fill-quesiton li.elem-fill-no{position:absolute;top:2px;bottom:2px;left:1px;z-index:9;min-width:20px;text-align:left;background-color:#fff;border:0}.elem-fill-line .elem-fill-quesiton li.elem-fill-no span{display:block;position:relative;padding-bottom:5px;padding-right:3px;-webkit-transform:translateY(-100%);transform:translateY(-100%)}.elem-fill-line .elem-fill-quesiton li.elem-fill-comma{position:absolute;top:0;right:-10px;z-index:9;-webkit-transform:translateY(-100%);transform:translateY(-100%);width:10px;padding-bottom:4px;background-color:#fff;text-align:center;border:0}.elem-explain .elem-title{padding-bottom:0}.elem-explain .elem-body{min-height:60px;position:relative}.elem-explain .elem-explain-no{position:absolute;left:20px;top:10px;font-size:12px;z-index:9}.elem-explain .elem-explain-elements{position:absolute;width:100%;height:100%;top:0;left:0;z-index:8}.elem-explain .elem-explain-element .explain-element-body{position:absolute}.elem-composition .elem-title{padding-bottom:0}.elem-composition .elem-body{min-height:60px;position:relative}.elem-composition-elements{position:absolute;width:100%;height:100%;top:0;left:0;z-index:8}.elem-composition .elem-composition-element .composition-element-body{position:absolute;overflow:hidden}.elem-fill-number{border:1px solid #000}.elem-fill-number .fill-number-rect{font-size:0;height:27px;border-bottom:1px solid #333}.elem-fill-number .fill-number-number{display:inline-block;vertical-align:top;width:7.692%;height:100%}.elem-fill-number .fill-number-number:not(:last-child){border-right:1px solid #333}.elem-fill-number .fill-number-head{height:51px}.elem-fill-number .fill-number-head>h5{border-bottom:1px solid #333;line-height:24px;font-size:16px;font-weight:bold;text-align:center}.elem-fill-number .fill-number-body{display:table;width:100%}.elem-fill-number .fill-number-list{display:table-cell;width:7.692%;padding:1px 0}.elem-fill-number .fill-number-option{margin:8px auto;width:20px;height:14px;font-size:12px;line-height:1;text-align:center;color:#000;border:1px solid #000;font-family:\"Times New Roman\",Arial,sans-serif}.elem-fill-number .fill-number-option>i{display:inline-block;-webkit-transform:scale(0.67,0.67);transform:scale(0.67,0.67)}.elem-fill-field{white-space:normal;overflow:hidden}.fill-field-item{display:inline-block;padding:0 10px;width:100%}.fill-field-content{height:30px;line-height:26px;overflow:hidden;position:relative}.fill-field-content::after{content:\"\";display:block;position:absolute;width:100%;border-bottom:1px solid #333;bottom:2px;left:0;z-index:1}.fill-field-content>span{z-index:2;display:inline-block;position:relative;font-size:14px;vertical-align:top}.fill-field-content>span:first-child{background-color:#fff;text-align:justify}.fill-field-content>span:first-child::after{content:\"\";display:inline-block;width:100%;height:0;line-height:0}.fill-field-content>span:nth-of-type(2){width:10px;background-color:#fff}.elem-fill-pane{font-size:0;white-space:normal;overflow:hidden}.elem-fill-pane .fill-pane-item{display:inline-block;vertical-align:top;font-size:14px}.elem-fill-pane .fill-pane-cont{border:1px solid #000}.card-free-preview:not(.card-print){padding:10px 0;background-color:#f0f0f0}.card-free-preview:not(.card-print) .page-box{margin:10px auto;-webkit-box-shadow:0 0 4px #ddd;box-shadow:0 0 4px #ddd}.card-free-preview .page-column-element .element-item{position:absolute}.card-free-preview .page-column-element .element-item::before{display:none}</style>\n" +
                "       <body><div class=\"card-preview card-print\"><!----><div class=\"card-view preview-body\"><div class=\"page-box page-box-A3 page-box-0\"><div class=\"page-locators page-locators-3\"><ul class=\"page-locator-group\"><li id=\"locator-0-00\"></li><li id=\"locator-0-01\"></li></ul><ul class=\"page-locator-group\"><li id=\"locator-0-10\"></li><li id=\"locator-0-11\"></li></ul><ul class=\"page-locator-group\"><li id=\"locator-0-20\"></li><li id=\"locator-0-21\"></li></ul></div><div class=\"page-main-inner\"><div class=\"page-main page-main-2\" style=\"margin: 0px -10px;\"><div class=\"page-column\" style=\"padding: 0px 10px;\"><div id=\"column-0-0\" class=\"page-column-main\"><div class=\"page-column-body\"><div class=\"topic-element-preview page-column-element\"><div id=\"preview-element-d8ctr1fo0ksuopkh\" data-type=\"CARD_HEAD\" class=\"topic-preview element-item element-item-width element-item-card-head element-item-type-pre\" style=\"left: 0px; top: 0px; width: 703px; height: 697px;\"><div class=\"page-element card-head card-head-normal\"><div class=\"card-head-top\"><div class=\"card-head-title\"><h1>大学物理课程-转卡Z1</h1></div><div class=\"card-head-subtitle\"><p>\n" +
                " </p></div></div><div class=\"card-head-body\"><div class=\"grid-container\"><div class=\"grid-row\"><div class=\"grid-col grid-col-dash\"><div class=\"head-stdno card-head-body-spin\"><!----><div class=\"stdno-auto\"><div class=\"stdno-auto-barcode\"><img src=\"data:image/png;base64,${examNumber}\"><p>${examNumberStr}</p></div></div><!----></div></div><div class=\"grid-col\"><div class=\"head-stdinfo card-head-body-spin\"><div class=\"stdinfo-item\"><span style=\"width: 62px;\">考号</span><span>：</span><span>${ticketNumber}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">座位号</span><span>：</span><span>${siteNumber}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">姓名</span><span>：</span><span>${studentName}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">课程名称</span><span>：</span><span>${courseName}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">学号</span><span>：</span><span>${studentCode}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">课程代码</span><span>：</span><span>${courseCode}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">试卷编号</span><span>：</span><span>${paperNumber}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">校区</span><span>：</span><span>${campusName}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">考点</span><span>：</span><span>${examPlace}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">考场</span><span>：</span><span>${examRoom}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">考试日期</span><span>：</span><span>${examDate}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">考试时间</span><span>：</span><span>${examTime}</span></div><div class=\"stdinfo-item\"><span style=\"width: 62px;\">监考老师</span><span>：</span><span>${invigilator}</span></div></div></div></div><div class=\"grid-row\"><div class=\"grid-col\"><div class=\"head-notice card-head-body-spin\"><h4>注意事项：</h4><div class=\"head-notice-cont\"><span>1、</span><span>提示：换行之后，题卡注意事项会展示为多条内容，内容序号会被自动添加。</span></div></div></div><div class=\"grid-col\"><div class=\"head-dynamic card-head-body-spin head-dynamic-4\" style=\"height: 196px;\"><div class=\"head-dynamic-part head-dynamic-write\"><div class=\"stdinfo-item\"><span>手写签名</span><span>：</span><span></span></div><p> 注意：签名则表示您认可答题卡提供的信息与您本人信息相符；如签名与信息不符或者未签名，试卷作废。 </p></div><div class=\"head-dynamic-part head-dynamic-fill\"><div class=\"head-dynamic-content\"><p><span>正确填涂：</span><i></i></p><p><span>错误填涂：</span><i>√</i><i>×</i><i></i><i></i></p></div></div><div class=\"head-dynamic-part head-dynamic-missfill\"><div class=\"head-dynamic-miss\"><div class=\"head-dynamic-content\"><span class=\"dynamic-miss-title\">缺考标记</span><span class=\"dynamic-miss-body\"><i id=\"dynamic-miss-area\" class=\"head-dynamic-rect\"></i></span></div></div><div class=\"head-dynamic-miss\"><div class=\"head-dynamic-content\"><span class=\"dynamic-miss-title\">违纪标记</span><span class=\"dynamic-miss-body\"><i id=\"dynamic-miss-area\" class=\"head-dynamic-rect\"></i></span></div></div></div><div id=\"head-dynamic-aorb\" class=\"head-dynamic-part head-dynamic-aorb head-dynamic-aorb-print\" style=\"height: 42px;\"><div class=\"dynamic-aorb-item dynamic-aorb-title\"><p class=\"dynamic-aorb-content\">试卷类型：</p></div><!----><div id=\"dynamic-aorb-barcode\" class=\"dynamic-aorb-item dynamic-aorb-barcode\"><div class=\"dynamic-aorb-content\"><img src=\"data:image/png;base64,${paperType}\"></div></div></div></div></div></div></div></div><!----></div></div></div></div></div></div><div class=\"page-column\" style=\"padding: 0px 10px;\"><div id=\"column-0-1\" class=\"page-column-main\"><div class=\"page-column-body\"><div class=\"page-column-forbid-area\"><p>该区域严禁作答</p></div></div></div></div></div></div><div class=\"page-main-outer\"><div class=\"page-number page-number-rect\"><ul class=\"page-number-rect-list\"><li class=\"rect-li-act\"></li><li class=\"\"></li></ul><!----></div><div class=\"page-number page-number-text\"><!----><div class=\"page-number-text-cont\"> 第1页（共2页） </div></div></div></div><div class=\"page-box page-box-A3 page-box-1\"><div class=\"page-locators page-locators-3\"><ul class=\"page-locator-group\"><li id=\"locator-1-00\"></li><li id=\"locator-1-01\"></li></ul><ul class=\"page-locator-group\"><li id=\"locator-1-10\"></li><li id=\"locator-1-11\"></li></ul><ul class=\"page-locator-group\"><li id=\"locator-1-20\"></li><li id=\"locator-1-21\"></li></ul></div><div class=\"page-main-inner\"><div class=\"page-main page-main-2\" style=\"margin: 0px -10px;\"><div class=\"page-column\" style=\"padding: 0px 10px;\"><div id=\"column-1-0\" class=\"page-column-main\"><div class=\"page-column-body\"><div class=\"page-column-forbid-area\"><p>该区域严禁作答</p></div></div></div></div><div class=\"page-column\" style=\"padding: 0px 10px;\"><div id=\"column-1-1\" class=\"page-column-main\"><div class=\"page-column-body\"><div class=\"page-column-forbid-area\"><p>该区域严禁作答</p></div></div></div></div></div></div><div class=\"page-main-outer\"><div class=\"page-number page-number-rect\"><!----><!----></div><div class=\"page-number page-number-text\"><!----><div class=\"page-number-text-cont\"> 第2页（共2页） </div></div></div></div></div></div></body>\n" +
                "     </html>\n" +
                "   ";
//        htmlToJpgUtil.convertHtmlToJpg(id, htmlContent, PageSizeEnum.A3);
    }
}
